Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd
Interface TargetJDKVersion

All Known Implementing Classes:
  TargetJDK1_3, TargetJDK1_4, TargetJDK1_5

public interface TargetJDKVersion

Interface to create JDK-appropriate parsers.

Author:
  Tom Copeland

Method Summary
`JavaParser` | `createParser(java.io.InputStream in)` Creates a parser.
`JavaParser` | `createParser(java.io.Reader in)` Creates a parser.
`java.lang.String` | `getVersionString()`

Method Detail

### createParser

    public JavaParser createParser(java.io.InputStream in)

  Creates a parser.

  Parameters:
    `in` - the stream to parser
  Returns:
    a parser for the input stream

### createParser

    public JavaParser createParser(java.io.Reader in)

  Creates a parser.

  Parameters:
    `in` - an input stream reader
  Returns:
    a parser for the stream read by the stream reader

### getVersionString

    public java.lang.String getVersionString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.